Runtime

## org.eclipse.gmf.runtime.common.ui.dialogs
Class FilterWarningDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.gmf.runtime.common.ui.dialogs.FilterWarningDialog

All Implemented Interfaces:
  IShellProvider

public class FilterWarningDialog
extends Dialog

A dialog class that would be displayed to warn the user when adding an element to the ME while the ME's filtering settings hide such element. It allows the user to decide whether to override the filtering settings in order to display the element.

Nested Class Summary

Nested classes inherited from class org.eclipse.jface.window.Window
`Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`FilterWarningDialog(Shell parentShell)` constructor

Method Summary
`protected void` `configureShell(Shell newShell)`
`protected Control` `createButtonBar(Composite parent)`
`protected Control` `createDialogArea(Composite parent)`
`boolean` `isDontShowAgainSelected()` Returns the dontshowAgain check-box status.
`boolean` `isModifyFilterSettingsSelected()` Returns the modifyFilterSettings check-box status.
`protected void` `okPressed()`

Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonsForButtonBar, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterWarningDialog

    public FilterWarningDialog(Shell parentShell)

  constructor

Parameters:
  `parentShell` - thge dialog's parent shell

Method Detail

### configureShell

    protected void configureShell(Shell newShell)

### createButtonBar

    protected Control createButtonBar(Composite parent)

### createDialogArea

    protected Control createDialogArea(Composite parent)

### okPressed

    protected void okPressed()

### isDontShowAgainSelected

    public boolean isDontShowAgainSelected()

  Returns the dontshowAgain check-box status.

  Returns:
    boolean true if selected (checked) false otherwise

### isModifyFilterSettingsSelected

    public boolean isModifyFilterSettingsSelected()

  Returns the modifyFilterSettings check-box status.

  Returns:
    boolean true if selected (checked) false otherwise

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.